Package org.opensaml.saml.saml2.core

# Interface AuthnContext

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `AuthnContextImpl`

public interface AuthnContext extends SAMLObject
SAML 2.0 Core AuthnContext.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AUTHENTICATED_TELEPHONY_AUTHN_CTX`
URI for Authenticated Telephony authentication context.
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local Name of AuthnContext.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`IP_AUTHN_CTX`
URI for Internet Protocol authentication context.
`static final String`
`IP_PASSWORD_AUTHN_CTX`
URI for Internet Protocol Password authentication context.
`static final String`
`KERBEROS_AUTHN_CTX`
URI for Kerberos authentication context.
`static final String`
`MOFC_AUTHN_CTX`
URI for Mobile One Factor Contract authentication context.
`static final String`
`MOFU_AUTHN_CTX`
URI for Mobile One Factor Unregistered authentication context.
`static final String`
`MTFC_AUTHN_CTX`
URI for Mobile Two Factor Contract authentication context.
`static final String`
`MTFU_AUTHN_CTX`
URI for Mobile Two Factor Unregistered authentication context.
`static final String`
`NOMAD_TELEPHONY_AUTHN_CTX`
URI for Nomadic Telephony authentication context.
`static final String`
`PASSWORD_AUTHN_CTX`
URI for Password authentication context.
`static final String`
`PERSONAL_TELEPHONY_AUTHN_CTX`
URI for Personalized Telephony authentication context.
`static final String`
`PGP_AUTHN_CTX`
URI for PGP authentication context.
`static final String`
`PPT_AUTHN_CTX`
URI for Password Protected Transport authentication context.
`static final String`
`PREVIOUS_SESSION_AUTHN_CTX`
URI for Previous Session authentication context.
`static final String`
`SMARTCARD_AUTHN_CTX`
URI for Smart Card authentication context.
`static final String`
`SMARTCARD_PKI_AUTHN_CTX`
URI for Smart Card PKI authentication context.
`static final String`
`SOFTWARE_PKI_AUTHN_CTX`
URI for Software PKU authentication context.
`static final String`
`SPKI_AUTHN_CTX`
URI for SPKI authentication context.
`static final String`
`SRP_AUTHN_CTX`
URI for Secure Remote Password authentication context.
`static final String`
`TELEPHONY_AUTHN_CTX`
URI for Telephony authentication context.
`static final String`
`TIME_SYNC_TOKEN_AUTHN_CTX`
URI for Time Synchronized Token authentication context.
`static final String`
`TLS_CLIENT_AUTHN_CTX`
URI for SSL/TLS Client authentication context.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNSPECIFIED_AUTHN_CTX`
URI for unspecified authentication context.
`static final String`
`X509_AUTHN_CTX`
URI for X509 Public Key authentication context.
`static final String`
`XML_DSIG_AUTHN_CTX`
URI for XML Digital Signature authentication context.

## Method Summary

Modifier and Type
Method
Description
`AuthnContextDecl`
`getAuthContextDecl()`
Gets Declaration of this Authentication Context.
`List<AuthenticatingAuthority>`
`getAuthenticatingAuthorities()`
Gets the Authenticating Authorities of this Authentication Context.
`AuthnContextClassRef`
`getAuthnContextClassRef()`
Gets the URI identifying the Context Class of this Authentication Context.
`AuthnContextDeclRef`
`getAuthnContextDeclRef()`
Gets the URI of the Declaration of this Authentication Context.
`void`
`setAuthnContextClassRef(AuthnContextClassRef newAuthnContextClassRef)`
Sets the URI identifying the Context Class of this Authentication Context.
`void`
`setAuthnContextDecl(AuthnContextDecl newAuthnContextDecl)`
Sets the Declaration of this Authentication Context.
`void`
`setAuthnContextDeclRef(AuthnContextDeclRef newAuthnContextDeclRef)`
Sets the URI of the Declaration of this Authentication Context.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Local Name of AuthnContext.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### IP_AUTHN_CTX

@Nonnull @NotEmpty static final String IP_AUTHN_CTX
URI for Internet Protocol authentication context.

See Also:
  - Constant Field Values

### IP_PASSWORD_AUTHN_CTX

@Nonnull @NotEmpty static final String IP_PASSWORD_AUTHN_CTX
URI for Internet Protocol Password authentication context.

See Also:
  - Constant Field Values

### KERBEROS_AUTHN_CTX

@Nonnull @NotEmpty static final String KERBEROS_AUTHN_CTX
URI for Kerberos authentication context.

See Also:
  - Constant Field Values

### MOFU_AUTHN_CTX

@Nonnull @NotEmpty static final String MOFU_AUTHN_CTX
URI for Mobile One Factor Unregistered authentication context.

See Also:
  - Constant Field Values

### MTFU_AUTHN_CTX

@Nonnull @NotEmpty static final String MTFU_AUTHN_CTX
URI for Mobile Two Factor Unregistered authentication context.

See Also:
  - Constant Field Values

### MOFC_AUTHN_CTX

@Nonnull @NotEmpty static final String MOFC_AUTHN_CTX
URI for Mobile One Factor Contract authentication context.

See Also:
  - Constant Field Values

### MTFC_AUTHN_CTX

@Nonnull @NotEmpty static final String MTFC_AUTHN_CTX
URI for Mobile Two Factor Contract authentication context.

See Also:
  - Constant Field Values

### PASSWORD_AUTHN_CTX

@Nonnull @NotEmpty static final String PASSWORD_AUTHN_CTX
URI for Password authentication context.

See Also:
  - Constant Field Values

### PPT_AUTHN_CTX

@Nonnull @NotEmpty static final String PPT_AUTHN_CTX
URI for Password Protected Transport authentication context.

See Also:
  - Constant Field Values

### PREVIOUS_SESSION_AUTHN_CTX

@Nonnull @NotEmpty static final String PREVIOUS_SESSION_AUTHN_CTX
URI for Previous Session authentication context.

See Also:
  - Constant Field Values

### X509_AUTHN_CTX

@Nonnull @NotEmpty static final String X509_AUTHN_CTX
URI for X509 Public Key authentication context.

See Also:
  - Constant Field Values

### PGP_AUTHN_CTX

@Nonnull @NotEmpty static final String PGP_AUTHN_CTX
URI for PGP authentication context.

See Also:
  - Constant Field Values

### SPKI_AUTHN_CTX

@Nonnull @NotEmpty static final String SPKI_AUTHN_CTX
URI for SPKI authentication context.

See Also:
  - Constant Field Values

### XML_DSIG_AUTHN_CTX

@Nonnull @NotEmpty static final String XML_DSIG_AUTHN_CTX
URI for XML Digital Signature authentication context.

See Also:
  - Constant Field Values

### SMARTCARD_AUTHN_CTX

@Nonnull @NotEmpty static final String SMARTCARD_AUTHN_CTX
URI for Smart Card authentication context.

See Also:
  - Constant Field Values

### SMARTCARD_PKI_AUTHN_CTX

@Nonnull @NotEmpty static final String SMARTCARD_PKI_AUTHN_CTX
URI for Smart Card PKI authentication context.

See Also:
  - Constant Field Values

### SOFTWARE_PKI_AUTHN_CTX

@Nonnull @NotEmpty static final String SOFTWARE_PKI_AUTHN_CTX
URI for Software PKU authentication context.

See Also:
  - Constant Field Values

### TELEPHONY_AUTHN_CTX

@Nonnull @NotEmpty static final String TELEPHONY_AUTHN_CTX
URI for Telephony authentication context.

See Also:
  - Constant Field Values

### NOMAD_TELEPHONY_AUTHN_CTX

@Nonnull @NotEmpty static final String NOMAD_TELEPHONY_AUTHN_CTX
URI for Nomadic Telephony authentication context.

See Also:
  - Constant Field Values

### PERSONAL_TELEPHONY_AUTHN_CTX

@Nonnull @NotEmpty static final String PERSONAL_TELEPHONY_AUTHN_CTX
URI for Personalized Telephony authentication context.

See Also:
  - Constant Field Values

### AUTHENTICATED_TELEPHONY_AUTHN_CTX

@Nonnull @NotEmpty static final String AUTHENTICATED_TELEPHONY_AUTHN_CTX
URI for Authenticated Telephony authentication context.

See Also:
  - Constant Field Values

### SRP_AUTHN_CTX

@Nonnull @NotEmpty static final String SRP_AUTHN_CTX
URI for Secure Remote Password authentication context.

See Also:
  - Constant Field Values

### TLS_CLIENT_AUTHN_CTX

@Nonnull @NotEmpty static final String TLS_CLIENT_AUTHN_CTX
URI for SSL/TLS Client authentication context.

See Also:
  - Constant Field Values

### TIME_SYNC_TOKEN_AUTHN_CTX

@Nonnull @NotEmpty static final String TIME_SYNC_TOKEN_AUTHN_CTX
URI for Time Synchronized Token authentication context.

See Also:
  - Constant Field Values

### UNSPECIFIED_AUTHN_CTX

@Nonnull @NotEmpty static final String UNSPECIFIED_AUTHN_CTX
URI for unspecified authentication context.

See Also:
  - Constant Field Values

## Method Details

### getAuthnContextClassRef

@Nullable AuthnContextClassRef getAuthnContextClassRef()
Gets the URI identifying the Context Class of this Authentication Context.

Returns:
  AuthnContext AuthnContextClassRef

### setAuthnContextClassRef

void setAuthnContextClassRef(@Nullable AuthnContextClassRef newAuthnContextClassRef)
Sets the URI identifying the Context Class of this Authentication Context.

Parameters:
  `newAuthnContextClassRef` - the URI of this Authentication Context's Class.

### getAuthContextDecl

@Nullable AuthnContextDecl getAuthContextDecl()
Gets Declaration of this Authentication Context.

Returns:
  AuthnContext AuthnContextDecl

### setAuthnContextDecl

void setAuthnContextDecl(@Nullable AuthnContextDecl newAuthnContextDecl)
Sets the Declaration of this Authentication Context.

Parameters:
  `newAuthnContextDecl` - the Declaration of this Authentication Context

### getAuthnContextDeclRef

@Nullable AuthnContextDeclRef getAuthnContextDeclRef()
Gets the URI of the Declaration of this Authentication Context.

Returns:
  AuthnContext AuthnContextDeclRef

### setAuthnContextDeclRef

void setAuthnContextDeclRef(@Nullable AuthnContextDeclRef newAuthnContextDeclRef)
Sets the URI of the Declaration of this Authentication Context.

Parameters:
  `newAuthnContextDeclRef` - the URI of the Declaration of this Authentication Context

### getAuthenticatingAuthorities

@Nonnull @Live List<AuthenticatingAuthority> getAuthenticatingAuthorities()
Gets the Authenticating Authorities of this Authentication Context.

Returns:
  AuthnContext AuthenticatingAuthorities